Subject: Latest build results - errors/warnings - lots of them

From: [email-masked] (Tony Lindgren)
Date: Tue, 30 Apr 2013 17:22:57 -0700

* Tony Lindgren <[email-masked]> [130430 16:57]:
> * Arnd Bergmann <[email-masked]> [130430 16:16]:
> > 
> > I've uploaded this to the test-merge-20130430 branch in the arm-soc
> > tree if anyone is curious. I suppose we should get all the changes
> > in arch/arm included in the merge window and then work with the
> > subsystem maintainers on the other bugs.
> 
> >  arch/arm/mach-omap2/Kconfig                   | 133 +++++++++++++-------------
> >  arch/arm/mach-omap2/Makefile                  |   8 +-
> 
> Nice, I like your changes to flip ARCH_OMAP2PLUS to be selected
> by the SoC. That's a better way to fix things than just tinkering
> with the Makefile like I posted earlier today.
> 
> Now you have SOC_OMAP5 selected twice in omap2plus_defconfig though,
> which causes:
> 
> .config:283:warning: override: reassigning to symbol SOC_OMAP5
> 
> For the SERIAL_OMAP change, let's just use my earlier patch
> "ARM: OMAP2+: Fix unmet direct dependencies for SERIAL_OMAP".
> We should not select optional drivers at all in Kconfig.

And looks like also the following should be folded in to allow building
ARCH_OMAP2. Other than that your branch seems to build & boot
fine on omaps.

Regards,

Tony

--- a/arch/arm/configs/omap2plus_defconfig
+++ b/arch/arm/configs/omap2plus_defconfig
@@ -21,6 +21,7 @@ CONFIG_MODVERSIONS=y
 CONFIG_MODULE_SRCVERSION_ALL=y
 # CONFIG_BLK_DEV_BSG is not set
 CONFIG_ARCH_OMAP2=y
+CONFIG_ARCH_MULTI_V6=y
 CONFIG_ARCH_OMAP3=y
 CONFIG_ARCH_OMAP4=y
 CONFIG_SOC_OMAP5=y